commit:     6460fdf052b67df69cb24f26ab61ae189325501c
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Sat Jan  9 14:28:13 2021 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Jan  9 14:28:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6460fdf0

sys-fs/lxcfs: bump to 4.0.7

 - disable building of static libs.

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 sys-fs/lxcfs/Manifest           |  2 ++
 sys-fs/lxcfs/lxcfs-4.0.7.ebuild | 56 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/sys-fs/lxcfs/Manifest b/sys-fs/lxcfs/Manifest
index 8f400a3957e..73f897629b9 100644
--- a/sys-fs/lxcfs/Manifest
+++ b/sys-fs/lxcfs/Manifest
@@ -1,2 +1,4 @@
 DIST lxcfs-4.0.6.tar.gz 451636 BLAKE2B 
97de1825c4a91f4107dbee513246ff48a04956adce7a262a9744730067ac9c31fb6c7802757912640e58eb93504e12338e572acacf3ad300c1253eb517583226
 SHA512 
843ca196304efc963549c0e081bea4d58182887611da36232e875de4898d738111a967d89b4b49a9df51f25daf119ad2d488b8298cdef82926be03a7fa99a8a2
 DIST lxcfs-4.0.6.tar.gz.asc 833 BLAKE2B 
c5700c962a608fabc1a7ae4cd708c590a26dfebb72ea9c3db81500bb4e936e7f7358fbfb2c2a0e9531ffceb266d719bb3f6415f4d018ac1ba87b7b7ebddd21bf
 SHA512 
ceffb3dfe3b2751b944be08df84dc30c465b8cde12e16d37e54ce616e5f2032f287a475ca280da51bc4fc518904e64ea7f4681dd6070e63ebd7ecba8b09600e5
+DIST lxcfs-4.0.7.tar.gz 454108 BLAKE2B 
8af5a9177089d0629ef05b6f28b9945dcf6f1102bbc3c5458fd71959912201d24b9ea31fc4b4dc51dca388d59ba1ad2a4494561108632abe8b90f1bef4a2e85f
 SHA512 
ab66d4278f8a5e0bb0e7495badcd587ef5fa48fb6271d8682cdca8b0f7c5c4b5f889ca43a86520e6aa28d6824be20f050707169bbed5921e3e4f7eaa0be7a1d5
+DIST lxcfs-4.0.7.tar.gz.asc 833 BLAKE2B 
26cb25e41471257925600fcab5a01933076c1ab304e14f71defc21c5b7563e2c0acd832051def79f277322e47a0efe76eb41121293a9b796e486e8a7747f5e2f
 SHA512 
3e9ff48197caca2776665171167805627a421741c02ee4a30e22b3c4ff8e9e58d71997302f45772c58de831ba5315fd335e8856553cfbfcbae1909ad8625f505

diff --git a/sys-fs/lxcfs/lxcfs-4.0.7.ebuild b/sys-fs/lxcfs/lxcfs-4.0.7.ebuild
new file mode 100644
index 00000000000..61b57c9974a
--- /dev/null
+++ b/sys-fs/lxcfs/lxcfs-4.0.7.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools systemd verify-sig
+
+DESCRIPTION="FUSE filesystem for LXC"
+HOMEPAGE="https://linuxcontainers.org/lxcfs/introduction/ 
https://github.com/lxc/lxcfs/";
+SRC_URI="https://linuxcontainers.org/downloads/lxcfs/${P}.tar.gz
+       verify-sig? ( 
https://linuxcontainers.org/downloads/lxcfs/${P}.tar.gz.asc )"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="dev-libs/glib:2
+       sys-fs/fuse:3"
+DEPEND="${RDEPEND}"
+BDEPEND="sys-apps/help2man
+       verify-sig? ( app-crypt/openpgp-keys-linuxcontainers )"
+
+# Test files need to be updated to fuse:3, #764620
+RESTRICT="test"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/linuxcontainers.asc
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       # Without the localstatedir the filesystem isn't mounted correctly
+       # Without with-distro ./configure will fail when cross-compiling
+       econf --localstatedir=/var --with-distro=gentoo --disable-static
+}
+
+src_test() {
+       cd tests/ || die
+       emake tests
+       ./main.sh || die "Tests failed"
+}
+
+src_install() {
+       default
+
+       newconfd "${FILESDIR}"/lxcfs-4.0.0.confd lxcfs
+       newinitd "${FILESDIR}"/lxcfs-4.0.0.initd lxcfs
+
+       # Provide our own service file (copy of upstream) due to paths being 
different from upstream,
+       # #728470
+       systemd_newunit "${FILESDIR}"/lxcfs-4.0.0.service lxcfs.service
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to